# Uses of Package
org.apache.cassandra.cql3.functions

- Packages that use org.apache.cassandra.cql3.functions
  Package | Description
  --- | ---
  org.apache.cassandra.auth |
  org.apache.cassandra.config |
  org.apache.cassandra.cql3 |
  org.apache.cassandra.cql3.functions |
  org.apache.cassandra.cql3.restrictions |
  org.apache.cassandra.cql3.selection |
  org.apache.cassandra.cql3.statements |
  org.apache.cassandra.exceptions |
  org.apache.cassandra.schema |
  org.apache.cassandra.service |

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.auth
  Class and Description
  FunctionName

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.config
  Class and Description
  UDAggregate Base class for user-defined-aggregates.
  UDFunction Base class for User Defined Functions.

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.cql3
  Class and Description
  Function

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.cql3.functions
  Class and Description
  AbstractFunction Base class for our native/hardcoded functions.
  AggregateFunction Performs a calculation on a set of values and return a single value.
  AggregateFunction.Aggregate An aggregation operation.
  FromJsonFct
  Function
  FunctionName
  NativeFunction Base class for our native/hardcoded functions.
  NativeScalarFunction Base class for the `ScalarFunction` native classes.
  ScalarFunction Determines a single output value based on a single input value.
  ToJsonFct
  UDAggregate Base class for user-defined-aggregates.
  UDFunction Base class for User Defined Functions.

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.cql3.restrictions
  Class and Description
  Function

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.cql3.selection
  Class and Description
  Function
  FunctionName

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.cql3.statements
  Class and Description
  Function
  FunctionName

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.exceptions
  Class and Description
  Function
  FunctionName

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.schema
  Class and Description
  AbstractFunction Base class for our native/hardcoded functions.
  UDAggregate Base class for user-defined-aggregates.
  UDFunction Base class for User Defined Functions.

- Classes in org.apache.cassandra.cql3.functions used by org.apache.cassandra.service
  Class and Description
  Function
  UDAggregate Base class for user-defined-aggregates.
  UDFunction Base class for User Defined Functions.

Copyright © 2018 The Apache Software Foundation